Name:       abcde
Version:    2.5.4
Release:    %mkrel 2
Summary:    Command-line utility to rip and encode audio CDs
License:    GPLv2
Group:      Sound/Utilities
URL:        http://code.google.com/p/abcde/
Source0:    http://abcde.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:    http://linukz.org/download/cd-discid-1.3.1.tar.gz
Requires:   cdparanoia
Requires:   wget
Requires:   vorbis-tools

%description
abcde is a frontend command-line utility (actually, a shell script) that
grabs tracks off a CD, encodes them to Ogg/Vorbis, MP3, FLAC, Ogg/Speex and/or
MPP/MP+(Musepack) format, and tags them, all in one go.

%prep
%setup -q -b0
%setup -q -b1

%build
pushd ../cd-discid-1.3.1
	%make
popd

%install
%makeinstall_std

pushd ../cd-discid-1.3.1
	make install PREFIX=%{buildroot}%{_prefix}
popd

%files
%doc changelog README TODO FAQ
%doc examples/abcded examples/abcde.init examples/autorip.sh
%{_bindir}/abcde
%{_bindir}/abcde-musicbrainz-tool
%{_bindir}/cd-discid
%{_bindir}/cddb-tool
%{_mandir}/man1/abcde.*
%{_mandir}/man1/cd-discid.*
%{_mandir}/man1/cddb-tool.*
%config(noreplace) %{_sysconfdir}/%{name}.conf


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.5.4-2.mga3
+ Revision: 345190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 fwang <fwang> 2.5.4-1.mga3
+ Revision: 314343
- new version 2.5.4

* Thu Jun 28 2012 wally <wally> 2.5.3-1.mga3
+ Revision: 264711
- new version 2.5.3
- clean .spec a bit

* Wed Jun 06 2012 shlomif <shlomif> 2.5.2-1.mga3
+ Revision: 256638
- Correct a typo
- New release - 2.5.2
- Convert from tabs to spaces

  + kharec <kharec>
    - Clean top of spec, cosmetic changes.

* Fri Mar 25 2011 kharec <kharec> 2.4.2-1.mga1
+ Revision: 77497
- new version

* Tue Mar 15 2011 ennael <ennael> 2.4.1-2.mga1
+ Revision: 71903
- clean spec file
- imported package abcde

